%define upstream_name    Data-Munge
%define upstream_version 0.097

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Various utility functions
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module defines a few generally useful utility functions. I got tired
of redefining or working around them, so I wrote this module.

Functions
    * list2re LIST

      Converts a list of strings to a regex that matches any of the
      strings. Especially useful in combination with 'keys'. Example:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.97.0-3.mga8
+ Revision: 1503734
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.97.0-2.mga7
+ Revision: 1282629
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 0.97.0-1.mga7
+ Revision: 1134078
- update to 0.097

* Sat Jun 18 2016 pterjan <pterjan> 0.96.0-2.mga6
+ Revision: 1024818
- Rebuild for perl 5.22.2

* Sat Mar 05 2016 shlomif <shlomif> 0.96.0-1.mga6
+ Revision: 986128
- update to 0.096

* Thu Feb 18 2016 umeabot <umeabot> 0.95.0-2.mga6
+ Revision: 966455
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 shlomif <shlomif> 0.95.0-1.mga6
+ Revision: 844540
- update to 0.095

* Wed Oct 15 2014 umeabot <umeabot> 0.70.0-3.mga5
+ Revision: 741462
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.70.0-2.mga5
+ Revision: 684216
- Mageia 5 Mass Rebuild

* Sun Jan 19 2014 shlomif <shlomif> 0.70.0-1.mga5
+ Revision: 566964
- imported package perl-Data-Munge


* Sun Jan 19 2014 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
